/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing GitlabResourceTypeOptionsForCreationDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class GitlabResourceTypeOptionsForCreationDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for GitlabResourceTypeOptionsForCreationDto
        //private GitlabResourceTypeOptionsForCreationDto instance;

        public GitlabResourceTypeOptionsForCreationDtoTests()
        {
            // TODO uncomment below to create an instance of GitlabResourceTypeOptionsForCreationDto
            //instance = new GitlabResourceTypeOptionsForCreationDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of GitlabResourceTypeOptionsForCreationDto
        /// </summary>
        [Fact]
        public void GitlabResourceTypeOptionsForCreationDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" GitlabResourceTypeOptionsForCreationDto
            //Assert.IsType<GitlabResourceTypeOptionsForCreationDto>(instance);
        }

        /// <summary>
        /// Test the property 'Branch'
        /// </summary>
        [Fact]
        public void BranchTest()
        {
            // TODO unit test for the property 'Branch'
        }

        /// <summary>
        /// Test the property 'AccessToken'
        /// </summary>
        [Fact]
        public void AccessTokenTest()
        {
            // TODO unit test for the property 'AccessToken'
        }

        /// <summary>
        /// Test the property 'RepoUrl'
        /// </summary>
        [Fact]
        public void RepoUrlTest()
        {
            // TODO unit test for the property 'RepoUrl'
        }

        /// <summary>
        /// Test the property 'ProjectId'
        /// </summary>
        [Fact]
        public void ProjectIdTest()
        {
            // TODO unit test for the property 'ProjectId'
        }

        /// <summary>
        /// Test the property 'TosAccepted'
        /// </summary>
        [Fact]
        public void TosAcceptedTest()
        {
            // TODO unit test for the property 'TosAccepted'
        }
    }
}
